MerkleTree.TreeDifference (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.utils

## Class MerkleTree.TreeDifference

- java.lang.Object
- - org.apache.cassandra.dht.AbstractBounds<T>
  - - org.apache.cassandra.dht.Range<Token>
    - - org.apache.cassandra.utils.MerkleTree.TreeRange
      - - org.apache.cassandra.utils.MerkleTree.TreeDifference

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Range<Token>>
  Enclosing class:
    MerkleTree

      public static class MerkleTree.TreeDifference
      extends MerkleTree.TreeRange

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.dht.AbstractBounds

      `AbstractBounds.AbstractBoundsSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.utils.MerkleTree.TreeRange

      `depth`

    - ### Fields inherited from class org.apache.cassandra.dht.AbstractBounds

      `left, partitioner, right, serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MerkleTree.TreeDifference(Token left, Token right, byte depth)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `rowsOnLeft()`
    `long` | `rowsOnRight()`
    `long` | `sizeOnLeft()`
    `long` | `sizeOnRight()`
    `long` | `totalRows()`

    - ### Methods inherited from class org.apache.cassandra.utils.MerkleTree.TreeRange

      `addAll, addHash, ensureHashInitialised, hash, hash, toString`

    - ### Methods inherited from class org.apache.cassandra.dht.Range

      `asList, compareTo, contains, contains, contains, differenceToFetch, equals, getClosingString, getOpeningString, intersectionWith, intersects, intersects, intersects, isInRanges, isWrapAround, isWrapAround, makeRowRange, normalize, rangeSet, rangeSet, split, subtract, toRowBounds, toTokenBounds, unwrap, withNewRight`

    - ### Methods inherited from class org.apache.cassandra.dht.AbstractBounds

      `getString, hashCode, intersects`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MerkleTree.TreeDifference

          public MerkleTree.TreeDifference(Token left,
                                   Token right,
                                   byte depth)

  - ### Method Detail

    - #### sizeOnLeft

          public long sizeOnLeft()

    - #### sizeOnRight

          public long sizeOnRight()

    - #### rowsOnLeft

          public long rowsOnLeft()

    - #### rowsOnRight

          public long rowsOnRight()

    - #### totalRows

          public long totalRows()

Copyright © 2014 The Apache Software Foundation